Bug 246689 - devel/gdb: Update to 9.2
Summary: devel/gdb: Update to 9.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Luca Pizzamiglio
URL: https://lists.gnu.org/archive/html/in...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-24 09:20 UTC by VVD
Modified: 2020-06-08 10:08 UTC (History)
0 users

See Also:
pizzamig: maintainer-feedback+
vvd: maintainer-feedback?


Attachments
Update to 9.2 (877 bytes, patch)
2020-05-24 09:20 UTC, VVD
vvd: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description VVD 2020-05-24 09:20:28 UTC
Created attachment 214802 [details]
Update to 9.2

Tested on 12.1 amd64.
Comment 1 commit-hook freebsd_committer 2020-06-05 17:36:30 UTC
A commit references this bug:

Author: pizzamig
Date: Fri Jun  5 17:36:18 UTC 2020
New revision: 538037
URL: https://svnweb.freebsd.org/changeset/ports/538037

Log:
  devel/gdb: Update to 9.2

  It's a fix release.
  While here, remove the obsolete gnu89 standard.

  Changes: https://www.gnu.org/software/gdb/download/ANNOUNCEMENT
  PR:		246689
  Submitted by:	VVD <vvd@unislabs.com>
  MFH:		2020Q2

Changes:
  head/devel/gdb/Makefile
  head/devel/gdb/distinfo
Comment 2 VVD 2020-06-05 18:02:50 UTC
(In reply to commit-hook from comment #1)
> While here, remove the obsolete gnu89 standard.
But you didn't removed it.
Comment 3 commit-hook freebsd_committer 2020-06-08 09:31:22 UTC
A commit references this bug:

Author: pizzamig
Date: Mon Jun  8 09:30:56 UTC 2020
New revision: 538205
URL: https://svnweb.freebsd.org/changeset/ports/538205

Log:
  MFH: r538037

  devel/gdb: Update to 9.2

  It's a fix release.
  While here, remove the obsolete gnu89 standard.

  Changes: https://www.gnu.org/software/gdb/download/ANNOUNCEMENT
  PR:		246689
  Submitted by:	VVD <vvd@unislabs.com>

  Approved by:	portmgr

Changes:
_U  branches/2020Q2/
  branches/2020Q2/devel/gdb/Makefile
  branches/2020Q2/devel/gdb/distinfo
Comment 4 commit-hook freebsd_committer 2020-06-08 10:07:44 UTC
A commit references this bug:

Author: pizzamig
Date: Mon Jun  8 10:07:30 UTC 2020
New revision: 538208
URL: https://svnweb.freebsd.org/changeset/ports/538208

Log:
  devel/gdb: remove gnu89 requirement

  Bump portrevision

  PR:		246689
  Reported by:	VVD <vvd@unislabs.com>

Changes:
  head/devel/gdb/Makefile
Comment 5 Luca Pizzamiglio freebsd_committer 2020-06-08 10:08:39 UTC
I messed up a bit my repos while doing this, so the CSTD patch got lost.
Thanks for noticing.

Everything should be fine now.